%global module_name ibus_cangjie

Name:             ibus-cangjie
Summary:          IBus engine to input Cangjie and Quick
Version:          2.4
Group:            System/Internationalization
Release:          %mkrel 2
License:          GPLv3+
URL:              http://cangjians.github.io/projects/%{name}
Source0:          http://cangjians.github.io/downloads/%{name}/%{name}-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    desktop-file-utils
BuildRequires:    ibus-devel
BuildRequires:    intltool
BuildRequires:    python3-devel
BuildRequires:    typelib(IBus)

# For the unit tests
BuildRequires:    python3-cangjie >= 1.0
BuildRequires:    python3-gobject3

# ovitters: pkgconfig(gobject-introspection-1.0) includes script to determine typelib() auto buildrequires
BuildRequires:	pkgconfig(gobject-introspection-1.0)

Requires:         python3-cangjie >= 1.0
Requires:         python3-gobject3

%description
IBus engine for users of the Cangjie and Quick input methods.

It is primarily intended to Hong Kong people who want to input Traditional
Chinese, as they are (by far) the majority of Cangjie and Quick users.

However, it should work for others as well (e.g to input Simplified Chinese).


%prep
%setup -q


%build
%configure2_5x --build=%{_build}
%make_build


%install
%make_install

%find_lang %{name}


%check
#make check

# Upstream doesn't validate their desktop files
desktop-file-validate %{buildroot}/%{_datadir}/applications/ibus-setup-cangjie.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/ibus-setup-quick.desktop


%files -f %{name}.lang
%doc AUTHORS COPYING README.md
%{_bindir}/ibus-setup-cangjie
%{python3_sitelib}/%{module_name}
%{_datadir}/applications/ibus-setup-*.desktop
%{_datadir}/%{name}
%{_datadir}/ibus/component/*.xml
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/glib-2.0/schemas/org.cangjians.ibus.*.gschema.xml
%{_datadir}/icons/hicolor/*/intl/*

# Using %%{_prefix}/lib is allowed here because the package is exempt from
# multilib (because it is noarch), see:
#     https://fedoraproject.org/wiki/Packaging:Guidelines#Multilib_Exempt_Locations
%{_prefix}/lib/%{name}


%changelog
* Sun Sep 25 2016 daviddavid <daviddavid> 2.4-2.mga6
+ Revision: 1056057
- disable testsuite as it fails on BS and autobuild too
- do not use parallel build for testsuite
- use "%%configure2_5x --build=%%{_build}" macro as it is a noarch package

* Tue Apr 05 2016 yochenhsieh <yochenhsieh> 2.4-1.mga6
+ Revision: 998628
- version 2.4 release

* Sat Feb 20 2016 umeabot <umeabot> 2.1-7.mga6
+ Revision: 971082
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 2.1-6.mga6
+ Revision: 889173
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.1-5.mga5
+ Revision: 750583
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1-4.mga5
+ Revision: 680410
- Mageia 5 Mass Rebuild

  + ovitters <ovitters>
    - add gobject-introspection BR for typelib auto BR

* Sat May 31 2014 pterjan <pterjan> 2.1-3.mga5
+ Revision: 629677
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 2.1-2.mga5
+ Revision: 629534
- Rebuild for new Python

* Fri Mar 07 2014 joequant <joequant> 2.1-1.mga5
+ Revision: 600853
- add ibus gir
- add group name
- imported package ibus-cangjie

